/*
* styles.css
******************************************************************************/

.fs-7 {
    font-size: 0.8rem;
}

.fs-8 {
    font-size: 0.7rem;
}

.fs-9 {
    font-size: 0.6rem;
}

.image-preview {
    max-width: 10rem;
    max-height: 10rem;
}

.thumbnail-sq-30 {
    height: 30px;
    width: 30px;
}

.thumbnail-sq-50 {
    height: 50px;
    width: 50px;
}

.thumbnail-sq-100 {
    height: 100px;
    width: 100px;
}

.thumbnail-sq-200 {
    height: 200px;
    width: 200px;
}

.suggestions {
    border: 1px solid #ccc;
    max-height: 150px;
    overflow-y: auto;
    margin-top: 4px;
    padding: 0;
    list-style-type: none;
    position: absolute;
    background: #fff;
    z-index: 1000;
}

.suggestions li {
    padding: 8px;
    cursor: pointer;
}

.suggestions li:hover {
    background-color: #f0f0f0;
}

/** Datatable Styles */
.dt-buttons > button {
    margin: 0 !important;
    padding: 0.5rem !important;
    background: var(--bs-secondary) !important;
    color: var(--bs-white) !important;
    border: none !important;
}

.dataTables_wrapper .dataTables_paginate .paginate_button.current {
    border: none;
    background: var(--bs-primary) !important;
    color: var(--bs-white) !important;
}

/**
 * #####################################################################################
 * Summer note Fix
 */
.note-modal.open {
    top: 25% !important;
}

button.note-btn.dropdown-toggle::after {
    display: none !important;
}

.note-btn-group.open .note-dropdown-menu .note-btn-group {
    margin: 0 !important;
}

.note-btn-group.note-color .note-color-all .note-dropdown-menu {
    min-width: 400px !important;
}

.note-modal-footer {
    margin-bottom: 1rem !important;
}

.border-custom-1 th, .border-custom-1 td {
    border: 1px solid #aaa !important;
}

.note-dropdown-item h1 {
    font-size: 1.5rem !important;
    line-height: 1.5rem !important;
}

.note-dropdown-item h2 {
    font-size: 1.3rem !important;
    line-height: 1.3rem !important;
}

.note-dropdown-item h3 {
    font-size: 1.1rem !important;
    line-height: 1.1rem !important;
}

.note-dropdown-item h4 {
    font-size: 1rem !important;
    line-height: 1rem !important;
}

.note-dropdown-item h5 {
    font-size: 0.8rem !important;
    line-height: 0.8rem !important;
}

.note-dropdown-item h6 {
    font-size: 0.7rem !important;
    line-height: 0.7rem !important;
}

/**
 * #####################################################################################
 * Datetime and Date Picker Fix
 */

input[type='datetime-local'].form-control.is-invalid,
input[type='date'].form-control.is-invalid {
    background-image: none !important;
}

/**
 * #####################################################################################
 * Select2 Fix
 */
span.select2 {
    width: 100% !important;
}

.select2-container .select2-selection--single {
    height: 3rem !important;
}

.select2-container--default .select2-selection--single {
    border-color: #c0bec5 !important;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: 3rem !important;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 3rem !important;
}

.select2-container--default .select2-selection--single,
.select2-container--default .select2-selection--multiple {
    background: transparent !important;
}

.select2-container--default .select2-selection--multiple .select2-selection__rendered {
    padding: 0.4rem !important;
}

html.dark-style .select2-container--default .select2-selection--single .select2-selection__rendered {
    color: #fff !important;
}

html.dark-style .select2-results ul li {
    color: #000 !important;
}

.select2.select2-container--disabled{
    background-color: #e7eaee;
    cursor: not-allowed;
}

/* selected item select2 */
.select2-container--default .select2-selection--multiple .select2-selection__choice,
.select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
/ / background: #8c57ff !important;
    background: rgb(88, 86, 214) !important;
    color: #fff !important;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice {
    font-size: 0.8rem !important;
    padding: 0.3rem 0.5rem !important;
}

.select2-image {
    width: 1.5rem;
    height: 1.5rem;
    margin-right: 0.2rem;
}

.select2-selection__choice img {
    width: 1.1rem;
    height: 1.1rem;
    margin: 0 0.2rem;
}

/* Select 2 dark mode fix*/
html[data-coreui-theme="dark"] [id^="select2-"][id$="-container"]{
    color:white;
}

html[data-coreui-theme="dark"] .select2-results__options,
html[data-coreui-theme="dark"] .select2.select2-container.select2-container--default.select2-container--disabled{
    background: #323a49;
}

html[data-coreui-theme="dark"] .select2-results__option[aria-selected="true"]{
    background: black;
}

/*******************************************************************************/

.menu .app-brand.tri-ink {
    height: 64px;
}

.app-brand-logo.tri-ink svg {
    width: 30px;
    height: 24px;
}

.app-brand-text.tri-ink {
    font-size: 1.25rem;
}

.authentication-wrapper .app-brand-text.tri-ink {
    font-size: 1.5rem;
    text-transform: capitalize;
}

/* ! For .layout-navbar-fixed added fix padding top to .layout-page */
/* Default navbar */
.layout-navbar-fixed .layout-wrapper:not(.layout-without-menu) .layout-page {
    padding-top: 64px !important;
}

/* Navbar page z-index issue solution */
.content-wrapper .navbar {
    z-index: auto;
}

/*
* Content
******************************************************************************/

.tri-ink-blocks > * {
    display: block !important;
}

.tri-ink-inline-spacing > * {
    margin: 1rem 0.375rem 0 0 !important;
}

/* ? .tri-ink-vertical-spacing class is used to have vertical margins between elements. To remove margin-top from the first-child, use .tri-ink-only-element class with .tri-ink-vertical-spacing class. For example, we have used this class in forms-input-groups.html file. */
.tri-ink-vertical-spacing > * {
    margin-top: 1.25rem !important;
    margin-bottom: 0 !important;
}

.tri-ink-vertical-spacing.tri-ink-only-element > :first-child {
    margin-top: 0 !important;
}

.tri-ink-vertical-spacing-lg > * {
    margin-top: 1.875rem !important;
    margin-bottom: 0 !important;
}

.tri-ink-vertical-spacing-lg.tri-ink-only-element > :first-child {
    margin-top: 0 !important;
}

.tri-ink-vertical-spacing-xl > * {
    margin-top: 5rem !important;
    margin-bottom: 0 !important;
}

.tri-ink-vertical-spacing-xl.tri-ink-only-element > :first-child {
    margin-top: 0 !important;
}

/* Dropdown buttons going out of small screens */
@media (max-width: 576px) {
    #dropdown-variation-demo .btn-group .text-truncate {
        width: 300px;
        position: relative;
    }

    #dropdown-variation-demo .btn-group .text-truncate::after {
        position: absolute;
        top: 45%;
        right: 0.65rem;
    }
}


/*
* demo.css
* File include item demo only specific css only
******************************************************************************/

.menu .app-brand.demo {
  height: 64px;
  margin-top: 12px;
}

.app-brand-logo.demo svg {
  width: 22px;
  height: 38px;
}

.app-brand-text.demo {
  font-size: 1.75rem;
  letter-spacing: -0.5px;
}

/* ! For .layout-navbar-fixed added fix padding top to .layout-page */
/* Detached navbar */
.layout-navbar-fixed .layout-wrapper:not(.layout-horizontal):not(.layout-without-menu) .layout-page {
  padding-top: 74px !important;
}
/* Default navbar */
.layout-navbar-fixed .layout-wrapper:not(.layout-without-menu) .layout-page {
  padding-top: 64px !important;
}
.docs-page .layout-navbar-fixed.layout-wrapper:not(.layout-without-menu) .layout-page,
.docs-page .layout-menu-fixed.layout-wrapper:not(.layout-without-menu) .layout-page {
  padding-top: 62px !important;
}

/* Navbar page z-index issue solution */
.content-wrapper .navbar {
  z-index: auto;
}

/*
* Content
******************************************************************************/

.demo-blocks > * {
  display: block !important;
}

.demo-inline-spacing > * {
  margin: 1rem 0.375rem 0 0 !important;
}

/* ? .demo-vertical-spacing class is used to have vertical margins between elements. To remove margin-top from the first-child, use .demo-only-element class with .demo-vertical-spacing class. For example, we have used this class in forms-input-groups.html file. */
.demo-vertical-spacing > * {
  margin-top: 1rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.demo-vertical-spacing-lg > * {
  margin-top: 1.875rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing-lg.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.demo-vertical-spacing-xl > * {
  margin-top: 5rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing-xl.demo-only-element > :first-child {
  margin-top: 0 !important;
}

/* Dropdown buttons going out of small screens */
@media (max-width: 576px) {
  #dropdown-variation-demo .btn-group .text-truncate {
    width: 231px;
    position: relative;
  }
  #dropdown-variation-demo .btn-group .text-truncate::after {
    position: absolute;
    top: 45%;
    right: 0.65rem;
  }
}

/*
* Layout demo
******************************************************************************/

.layout-demo-wrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  margin-top: 1rem;
}
.layout-demo-placeholder img {
  width: 900px;
}
.layout-demo-info {
  text-align: center;
  margin-top: 1rem;
}
